Bug 832780 - Menu captions xfce4-settings-keyboard and system-config-keyboard are identical
Menu captions xfce4-settings-keyboard and system-config-keyboard are identical
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: garcon (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 07:03 EDT by Heiko Adams
Modified: 2012-06-21 06:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: garcon-0.2.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 06:29:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot for better explanation of the problem (9.28 KB, image/png)
2012-06-17 07:03 EDT, Heiko Adams
no flags Details

  None (edit)
Description Heiko Adams 2012-06-17 07:03:09 EDT
Created attachment 592413 [details]
Screenshot for better explanation of the problem

Description of problem:
The menu captions of system-config-keyboard and xfce4-settings-keyboard are identical which makes it hard to find the wanted tool without looking at the icons - which are disabled in Xfce 4.10 by default.

Version-Release number of selected component (if applicable):
xfce4-settings-4.10.0-1.fc17.x86_64
system-config-keyboard-1.3.1-8.fc17.x86_64
system-config-keyboard-base-1.3.1-8.fc17.x86_64

How reproducible:
allways

Steps to Reproduce:
1. Open Xfce menu
2. Navigate to the settings submenu
  
Actual results:
The menu captions of system-config-keyboard and xfce4-settings-keyboard are identical

Expected results:
The menu captions of system-config-keyboard and xfce4-settings-keyboard should be unique

Additional info:
Comment 1 Kevin Fenzi 2012-06-18 10:12:50 EDT
Adding Christoph here. I think he's fought this battle before, but I don't know currently what we should do here. Try and change the Xfce one or coordinate with system-config-keyboard.
Comment 2 Christoph Wickert 2012-06-18 10:50:51 EDT
Kevin, you need to update the garcon package in your repo to 0.2.0-2. It fixes the problem by separating user 'Preferences' from the system-wide 'Administration'. You dropped that patch when you updated to 4.10.
Comment 3 Kevin Fenzi 2012-06-18 19:07:34 EDT
Building them now. Sorry about that. 

Will update when the repos are updated.
Comment 4 Kevin Fenzi 2012-06-18 22:10:59 EDT
Repos updated. Please update and test again.
Comment 5 Christoph Wickert 2012-06-21 06:29:52 EDT
Heiko, please reopen if you still have a problem.

Note You need to log in before you can comment on or make changes to this bug.